## tensorflow 0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Package: tensorflow
 Type: Package
-Title: R Interface to TensorFlow
-Version: 0.8.1
+Title: R Interface to 'TensorFlow'
+Version: 0.9
 Authors@R: c(
-  person("JJ", "Allaire", role = c("aut", "cre"),
-     comment = "R interface", email = "jj@rstudio.com"),
-  person(family = "RStudio", role = "cph"),
+  person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
+  person(family = "RStudio", role = c("cph", "fnd")),
+  person("Yuan", "Tang", role = c("aut", "cph"), email = "terrytangyuan@gmail.com"),
   person("Dirk", "Eddelbuettel", role = c("ctb", "cph"),
          email = "edd@debian.org"),
   person("Nick", "Golding", role = c("ctb", "cph"),
          email = "nick.golding.research@gmail.com"),
-  person("Yuan", "Tang", role = c("ctb", "cph"),
-         email = "terrytangyuan@gmail.com"),
   person(family = "Google Inc.", role = c("ctb", "cph"),
          comment = "Examples and Tutorials")
   )
@@ -34,17 +32,17 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.0)
-Imports: utils, reticulate (>= 0.8), yaml, jsonlite
+Imports: utils, reticulate (>= 0.9), yaml, jsonlite, processx
 RoxygenNote: 6.0.1
 Suggests: testthat
 NeedsCompilation: no
-Packaged: 2017-05-26 00:29:27 UTC; jjallaire
-Author: JJ Allaire [aut, cre] (R interface),
-  RStudio [cph],
+Packaged: 2017-06-25 19:50:28 UTC; jjallaire
+Author: JJ Allaire [aut, cre],
+  RStudio [cph, fnd],
+  Yuan Tang [aut, cph],
   Dirk Eddelbuettel [ctb, cph],
   Nick Golding [ctb, cph],
-  Yuan Tang [ctb, cph],
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-05-26 00:35:04 UTC
+Date/Publication: 2017-06-25 19:55:04 UTC
