## tensorflow 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 0.9
+Version: 1.3
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -32,11 +32,12 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.0)
-Imports: utils, reticulate (>= 0.9), yaml, jsonlite, processx
+Imports: config, jsonlite, processx, reticulate (>= 1.0), tfruns,
+        utils, yaml
+Suggests: testthat
 RoxygenNote: 6.0.1
-Suggests: testthat
 NeedsCompilation: no
-Packaged: 2017-06-25 19:50:28 UTC; jjallaire
+Packaged: 2017-07-27 11:15:30 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph],
@@ -45,4 +46,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-06-25 19:55:04 UTC
+Date/Publication: 2017-07-27 21:42:18 UTC
