## tensorflow 1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.3.1
+Version: 1.4
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -31,13 +31,13 @@
 SystemRequirements: TensorFlow (https://www.tensorflow.org/)
 Encoding: UTF-8
 LazyData: true
-Depends: R (>= 3.0)
-Imports: config, jsonlite, processx, reticulate (>= 1.1), tfruns (>=
+Depends: R (>= 3.1)
+Imports: config, jsonlite, processx, reticulate (>= 1.2), tfruns (>=
         0.9.1), utils, yaml
 Suggests: testthat
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-08-26 13:27:33 UTC; jjallaire
+Packaged: 2017-09-27 10:26:42 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph],
@@ -46,4 +46,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-08-26 17:25:21 UTC
+Date/Publication: 2017-09-27 12:23:38 UTC
