## tensorflow 1.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.4
+Version: 1.4.1
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -32,12 +32,12 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.1)
-Imports: config, jsonlite, processx, reticulate (>= 1.2), tfruns (>=
-        0.9.1), utils, yaml
+Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.3),
+        tfruns (>= 0.9.1), utils, yaml, rstudioapi (>= 0.7)
 Suggests: testthat
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-09-27 10:26:42 UTC; jjallaire
+Packaged: 2017-11-16 18:28:59 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph],
@@ -46,4 +46,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-09-27 12:23:38 UTC
+Date/Publication: 2017-11-16 21:57:26 UTC
