## tensorflow 1.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.4.1
+Version: 1.4.2
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -33,11 +33,11 @@
 LazyData: true
 Depends: R (>= 3.1)
 Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.3),
-        tfruns (>= 0.9.1), utils, yaml, rstudioapi (>= 0.7)
+        tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
 Suggests: testthat
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-11-16 18:28:59 UTC; jjallaire
+Packaged: 2017-12-17 01:28:14 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph],
@@ -46,4 +46,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-11-16 21:57:26 UTC
+Date/Publication: 2017-12-17 06:52:53 UTC
