## tensorflow 1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.4.3
+Version: 1.5
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -32,12 +32,12 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.1)
-Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.3),
+Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.4),
         tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
-Suggests: testthat
+Suggests: testthat, keras, tfestimators
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-12-18 10:32:00 UTC; jjallaire
+Packaged: 2018-01-17 10:55:11 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph],
@@ -46,4 +46,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-12-18 16:34:05 UTC
+Date/Publication: 2018-01-17 15:02:31 UTC
