## tensorflow 1.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.5
+Version: 1.8
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
-  person("Yuan", "Tang", role = c("aut", "cph"), email = "terrytangyuan@gmail.com"),
+  person("Yuan", "Tang", role = c("aut", "cph"),
+         email = "terrytangyuan@gmail.com",
+         comment = c(ORCID = "0000-0001-5243-233X")),
   person("Dirk", "Eddelbuettel", role = c("ctb", "cph"),
          email = "edd@debian.org"),
   person("Nick", "Golding", role = c("ctb", "cph"),
          email = "nick.golding.research@gmail.com"),
+  person("Tomasz", "Kalinowski", role = c("ctb", "cph")),
   person(family = "Google Inc.", role = c("ctb", "cph"),
          comment = "Examples and Tutorials")
   )
@@ -32,18 +35,19 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.1)
-Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.4),
+Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.5),
         tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
 Suggests: testthat, keras, tfestimators
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-01-17 10:55:11 UTC; jjallaire
+Packaged: 2018-06-14 12:44:12 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
-  Yuan Tang [aut, cph],
+  Yuan Tang [aut, cph] (<https://orcid.org/0000-0001-5243-233X>),
   Dirk Eddelbuettel [ctb, cph],
   Nick Golding [ctb, cph],
+  Tomasz Kalinowski [ctb, cph],
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-01-17 15:02:31 UTC
+Date/Publication: 2018-06-14 13:41:41 UTC
