=== debian/changelog ===
tensorflow (1.10.1+dfsg-A2) experimental; urgency=medium

  * Require B-D highwayhash-dev on all architectures. (Closes: #914985)
  * Add Yunqiang Su (syq) to Uploaders.

  [ BuildSystem ]
  * Significantly simplified code of shogun.py .
  * Add -DNDEBUG and -pipe to default CXXFLAGS.
  * Work-In-Progress support for the python interface. (Disabled by default)
  * Create version_info.cc by ninja target instead of patch.
  * Fix installation path for the embedded Eigen3 library.
  + See git history for detailed changes.
  + The build system is feature-frozen. It will be replaced by a new one
    for the upcoming TensorFlow 2.X series.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 06 Dec 2018 05:31:39 +0000

tensorflow (1.10.1+dfsg-A1) experimental; urgency=medium

  * Initial release [1.10.1+dfsg]. (Closes: #804612)
  * Stage A (with Debian revision "A*") indicates that the source
    package only produces C and C++ library and development files.
  * Many thanks to Aron Xu <aron@debian.org> for his sponsorship
    of the access to his build machine which helped a lot.
  * Many thanks to Boyuan Yang <byang@debian.org> for FTBFS report.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 08 Sep 2018 08:36:02 +0000
