=== debian/control ===
Source: tensorflow
Section: science
Homepage: https://tensorflow.org/
# Upstream-Git: https://github.com/tensorflow/tensorflow
Priority: optional
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/tensorflow
Vcs-Git: https://salsa.debian.org/science-team/tensorflow.git
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>,
           Yunqiang Su <syq@debian.org>,
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 libcurl4-gnutls-dev,
 libdouble-conversion-dev (>= 3.0.0+git20180802.4e8b3b5~),
 libfarmhash-dev,
 libgemmlowp-dev,
 libgif-dev,
 libgrpc++-dev (>= 1.14.1~),
 libgtest-dev,
 libhighwayhash-dev,
 libjpeg-dev,
 libjsoncpp-dev,
 liblmdb-dev,
 libnsync-dev,
 libpng-dev,
 libprotobuf-dev (>= 3.6.0~),
 libprotoc-dev (>= 3.6.0~),
 libre2-dev,
 libsnappy-dev,
 libsqlite3-dev,
 libsuperlu-dev,
 llvm-7-dev (>= 1:7~+rc2-1~exp1~),
 ninja-build,
 protobuf-compiler (>= 3.6.0~),
 protobuf-compiler-grpc,
 python3,
 python3-all-dev,
 python3-numpy,
 swig,
 zlib1g-dev,
# libxsmm-dev,
# libmkldnn-dev [amd64],


#Package: tensorflow
#Section: metapackages
#Architecture: any
#Multi-Arch: same
#Depends: ${misc:Depends},
## python3-tensorflow (= ${binary:Version})
# libtensorflow-dev (= ${binary:Version}),
##Recommends:
## libtensorflow-bin (= ${binary:Version}),
#Suggests:
# tensorflow-doc (= ${source:Version}),
#Description: Computation using data flow graphs for scalable machine learning
# TensorFlow is an open source software library for numerical computation
# using data flow graphs. The graph nodes represent mathematical operations,
# while the graph edges represent the multidimensional data arrays (tensors)
# that flow between them. This flexible architecture enables you to deploy
# computation to one or more CPUs or GPUs in a desktop, server, or mobile
# device without rewriting code.
# .
# TensorFlow was originally developed by researchers and engineers working
# on the Google Brain team within Google's Machine Intelligence Research
# organization for the purposes of conducting machine learning and deep
# neural networks research. The system is general enough to be applicable
# in a wide variety of other domains, as well.
# .
# TensorFlow provides stable Python API and C APIs as well as without API
# backwards compatibility guarantee like C++, Go, Java, JavaScript and Swift.

Package: tensorflow-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Computation using data flow graphs for scalable machine learning (doc)
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 TensorFlow was originally developed by researchers and engineers working
 on the Google Brain team within Google's Machine Intelligence Research
 organization for the purposes of conducting machine learning and deep
 neural networks research. The system is general enough to be applicable
 in a wide variety of other domains, as well.
 .
 TensorFlow provides stable Python API and C APIs as well as without API
 backwards compatibility guarantee like C++, Go, Java, JavaScript and Swift.
 .
 This package ships tensorflow documentation.

Package: libtensorflow-framework1.10
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
# I copied some detail about this shared object from tensorflow/BUILD
Description: Computation using data flow graphs for scalable machine learning
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships shared object libtensorflow_framework.so.1.10
 .
 A shared object which includes registration mechanisms for ops and
 kernels. Does not include the implementations of any ops or kernels.
 Instead, the library which loads libtensorflow_framework.so
 (e.g. _pywrap_tensorflow_internal.so for Python, libtensorflow.so for the C
 API) is responsible for registering ops with libtensorflow_framework.so. In
 addition to this core set of ops, user libraries which are loaded (via
 TF_LoadLibrary/tf.load_op_library) register their ops and kernels with this
 shared object directly.
 .
 For example, from Python tf.load_op_library loads a custom op library (via
 dlopen() on Linux), the library finds libtensorflow_framework.so (no
 filesystem search takes place, since libtensorflow_framework.so has already
 been loaded by pywrap_tensorflow) and registers its ops and kernels via
 REGISTER_OP and REGISTER_KERNEL_BUILDER (which use symbols from
 libtensorflow_framework.so), and pywrap_tensorflow can then use these
 ops. Since other languages use the same libtensorflow_framework.so, op
 libraries are language agnostic.

Package: libtensorflow1.10
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Computation using data flow graphs for scalable machine learning (C)
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships shared object libtensorflow.so.1.10, which exports
 C API for TensorFlow (i.e. symbols named "*TF_*" or "*TFE_*").

Package: libtensorflow-cc1.10
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Computation using data flow graphs for scalable machine learning (C++)
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships shared object libtensorflow_cc.so.1.10, which exports
 C++ API for TensorFlow (i.e. *tensorflow* *TF_* *TFE_* *pywrap_xla*).

Package: libtensorflow-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libtensorflow-framework1.10 (= ${binary:Version}),
 libtensorflow1.10 (= ${binary:Version}),
 libtensorflow-cc1.10 (= ${binary:Version}),
 libprotobuf-dev (>= 3.6.0~),
 libgrpc++-dev (>= 1.14.1~),
 llvm-7-dev (>= 1:7~+rc2-1~exp1~),
Suggests:
 tensorflow-doc (= ${source:Version}),
Description: Computation using data flow graphs for scalable machine learning (dev)
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships C and C++ headers files for tensorflow.

#Package: libtensorflow-bin
#Architecture: any
#Multi-Arch: foreign
#Depends: ${misc:Depends}, ${shlibs:Depends},
# libtensorflow1.10 (= ${binary:Version}),
#Description: Computation using data flow graphs for scalable machine learning (bin)
# TensorFlow is an open source software library for numerical computation
# using data flow graphs. The graph nodes represent mathematical operations,
# while the graph edges represent the multidimensional data arrays (tensors)
# that flow between them. This flexible architecture enables you to deploy
# computation to one or more CPUs or GPUs in a desktop, server, or mobile
# device without rewriting code.
# .
# This package ships binary utilities of tensorflow.

#Package: python3-tensorflow
#Architecture: any
#Multi-Arch: foreign
#Depends: ${misc:Depends}, ${shlibs:Depends},
# libtensorflow-framework1.10 (>= ${source:Version}~),
#Description: Computation using data flow graphs for scalable machine learning (Py3)
# TensorFlow is an open source software library for numerical computation
# using data flow graphs. The graph nodes represent mathematical operations,
# while the graph edges represent the multidimensional data arrays (tensors)
# that flow between them. This flexible architecture enables you to deploy
# computation to one or more CPUs or GPUs in a desktop, server, or mobile
# device without rewriting code.
# .
# This package ships Python3 interface of tensorflow.
