=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tensorflow-$1.tar.gz%" \
    https://github.com/tensorflow/tensorflow/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
