## tensorflow 2.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 2.0.0
+Version: 2.2.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -38,10 +38,12 @@
 Depends: R (>= 3.1)
 Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.10),
         tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
-Suggests: testthat, keras, tfestimators
-RoxygenNote: 6.1.1
+Suggests: testthat (>= 2.1.0), keras, tfestimators, callr
+RoxygenNote: 7.0.2
+Config/reticulate: list( packages = list( list(package = "tensorflow",
+        pip = TRUE) ) )
 NeedsCompilation: no
-Packaged: 2019-10-02 17:26:13 UTC; dfalbel
+Packaged: 2020-05-11 16:35:51 UTC; dfalbel
 Author: Daniel Falbel [ctb, cph, cre],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
@@ -52,4 +54,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-10-02 17:50:02 UTC
+Date/Publication: 2020-05-11 18:20:03 UTC
